Системні вимоги

Вимоги до програмного забезпечення для роботи клієнтського та серверного застосунків програм BAS (операційні системи, браузери, СУБД).

Клієнтський застосунок

Тонкий клієнт і товстий клієнт

Операційна система
Примітки
Microsoft Windows
Windows 10 З усіма встановленими оновленнями
Windows 8.1
Windows 8
Windows 7
Windows Server 2019 (x64)
Windows Server 2016 (x64)
Windows Server 2012 R2 (x64-bit)
Windows Server 2012 (x64-bit)
Windows Server 2008 R2 (x64-bit)
Windows Server 2008
Windows Server 2003
Windows Vista
Windows XP Потрібне встановлення пакету оновлень 3 (SP3)
  LinuxCentOS 7 
Debian 9
Mint 18
Mint 19
Red Hat Enteprise Linux 7
Red Hat Enteprise Linux 8
Oracle Linux 6
Ubuntu 18.04 LTS

Веб клієнт

Підтримувані браузери
Примітки
Google Chrome версії 49 і вище для Windows і Mac OS
Mozilla Firefox версії 52 і вище для Windows і Linux  
Microsoft Internet Explorer версії 10 і вище Для комп'ютерів з малим об'ємом пам'яті і не продуктивним процесором для браузера Internet Explorer рекомендується використовувати версію 9
Microsoft Edge для Windows Microsoft Edge підтримується частково – без зовнішніх компонент, розширення роботи з файлами та розширення роботи з криптографією
Safari 4.0.5 і вище для Mac OS X 10.5 і вище  
Google Chrome для Android Обмежена підтримка (не забезпечується повна підтримка, доступні основні функції)
Safari для iPhone/iPad Обмежена підтримка (не забезпечується повна підтримка, доступні основні функції)
Браузери на базі Chromium: chromium-gost версії 49 і вище  

Сервер

Архітектура x86

Операційна система
Примітки
Microsoft Windows Windows 10 З усіма встановленими оновленнями
Windows 8.1
Windows 8
Windows 7
Windows Server 2019
Windows Server 2016 (x64)
Windows Server 2012 R2 (x64-bit)
Windows Server 2012 (x64-bit)
Windows Server 2008
Windows Server 2003
Windows Vista
Windows XP Потрібне встановлення пакету оновлень 3 (SP3)
  LinuxCentOS 7  Тільки на робочих і центральних серверах кластера
Debian 9
Mint 18
Mint 19
Red Hat Enteprise Linux 7
Red Hat Enteprise Linux 8
Ubuntu 14.04 LTS
Ubuntu 18.04 LTS
Oracle Linux 6

Архітектура x86-64

Операційна система
Примітки
Microsoft Windows Windows 10 З усіма встановленими оновленнями
Windows 8.1 (x64-bit)
Windows 8 (x64-bit)
Windows 7 (x64-bit)
Windows Server 2019
Windows Server 2016 (x64)
Windows Server 2012 R2 (x64-bit)
Windows Server 2012 (x64-bit)
Windows Server 2008 R2 (x64-bit)
Windows Server 2008 (x64-bit)
Windows Server 2003 (x64-bit)
Windows Vista (x64-bit)
Windows XP Потрібне встановлення пакету оновлень 3 (SP3)
  LinuxCentOS 6  Тільки на робочих і центральних серверах кластер
CentOS 7  
Debian 8
Debian 9
Mint 18
Mint 19
Red Hat Enteprise Linux 7
Red Hat Enteprise Linux 8
Ubuntu 14.04 LTS
Ubuntu 16.04 LTS
Ubuntu 18.04 LTS
Oracle Linux 6

Сервер баз даних

Підтримуються ОС сімейства Linux та Windows

Архітектура x86

СУБД
Примітки
Microsoft SQL Server SQL Server 2014
SQL Server 2012
SQL Server 2008 R2
SQL Server 2008 Потрібне встановлення пакету оновлень 1 (SP1)
SQL Server 2005 Потрібне встановлення пакету оновлень 3 (SP3)
  PostgreSQL PostgreSQL 12.2   Підтримує роботу під управлінням операційних систем:
  • Microsoft
    • Windows 7, 8, 10
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2016
  • Linux (*)
    • Fedora Core 19
    • Red Hat Enterprise Linux 7
    • CentOS 7
    • Ubuntu 16.04
PostgreSQL 10.19
PostgreSQL 10.18
PostgreSQL 10.17
PostgreSQL 10.16
PostgreSQL 10.15
PostgreSQL 10.14
PostgreSQL 10.13
PostgreSQL 10.12
PostgreSQL 10.10
PostgreSQL 10.9
PostgreSQL 10.8
PostgreSQL 10.5
PostgreSQL 10.3
PostgreSQL 9.6.7
PostgreSQL 9.6.6
PostgreSQL 9.6.5
PostgreSQL 9.6.3
PostgreSQL 9.6.1
PostgreSQL 9.4.2 Підтримує роботу під управлінням операційних систем:
  • Microsoft
    • Windows 2000
    • Windows XP
    • Windows Server 2003
    • Windows 7
    • Windows Server 2008
    • Windows Server 2008 R2
  • Linux (*)
    • Fedora Core 8-15
    • Red Hat Enterprise Linux 5-6
    • CentOS 5-6
    • ASP Linux 12-14
    • Ubuntu 10.10
    • Ubuntu 11.04
PostgreSQL 9.3.4
PostgreSQL 9.2.4
PostgreSQL 9.1.9
PostgreSQL 9.1.2
PostgreSQL 9.0.3 Підтримує роботу під управлінням операційних систем:
  • Microsoft
    • Windows 2000
    • Windows XP
    • Windows Server 2003
    • Windows 7
    • Windows Server 2008
    • Windows Server 2008 R2
  • Linux (*)
    • Fedora Core 4-6
    • Red Hat Enterprise Linux 4 update 4
    • ASP Linux 11
PostgreSQL 8.4.3
PostgreSQL 8.3.8
PostgreSQL 8.2.4
PostgreSQL 8.1.5
IBM DB2 IBM DB2 11.1
IBM DB2 10.1 Підтримується в режимі бета-тестування через значні змін в архітектурі DB2
IBM DB2 9.7 FixPack 6
IBM DB2 9.7 FixPack 1 Рекомендується перейти на використання більш пізніх версій IBM DB2, рекомендованих до застосування
IBM DB2 9.5 FixPack 4
(збірка 22521)
IBM DB2 9.1
(збірка 19840)
Oracle Database
(редакції Standard Edition One, Standard Edition та Enterprise Edition)

Oracle Database 19c
Oracle Database 18c
Oracle Database 12.2
Oracle Database 12c
(Версія 12.1.0.2)
Linux Версія 12.1.0.2 підтримується за умови наявності наступних патчів:
  • 19078326, OPatch 12.1.0.8 (патч 6880880), далі 21447820, потім 21068507, потім 20954292
  • Для некластерної інсталяції 21447820 є потрібною тільки молекула 21359749 (в каталозі 21447820 є кілька підкаталогів, 21359749 – один з них)
  • Патчів 20954292 існує 3 види (1 для 11.2.0.4, 2 для 12.1.0.2 ), потрібен той, який поверх 12.1.0.2.7 (другий – для 12.1.0.2.0; відмінність в назві – у правильного є DBEngSysandDBIM в назві)
Oracle Database 11gR2 Microsoft Windows. Версія 11.2.0.3.0. Версія 11.2.0.4 підтримується за умови установки патчів 24591646 та 24591637
Microsoft Windows. Версія 11.2.0.3.0
Linux Версія 11.2.0.2.0 підтримується за умови установки наступного набору патчів: 10094732, 11724916, 9620994, 10269193
Oracle Database 11gR1
(Версія 11.1.0.7.0)
Microsoft Windows версія 11.1.0.7.0 підтримується за умови установки патча Bundle28 (patch 9707661)
Linux версія 11.1.0.7.0 підтримується за умови установки наступного набору патчів: 7556778, 8889930, 9038070, 9653353, 8934457
Oracle Database 10gR2
(Версія 10.2.0.4)
Microsoft Windows версія 10.2.0.4 підтримується за умови установки патча Bundle36 (patch 9544023)
Linux Версія 10.2.0.4 підтримується за умови установки наступного набору патчів: 8576156, 9535703, 9038070, 9002115, 8947919, 8889930, 7556778, 5586604

Архітектура x86-64

СУБД
Примітки
Microsoft SQL Server SQL Server 2019 Версія для Linux підтримується в разі використання робочих серверів на Microsoft Windows
SQL Server 2017 Версія для Linux підтримується в разі використання робочих серверів на Microsoft Windows
SQL Server 2016 Версія для Linux підтримується в разі використання робочих серверів на Microsoft Windows
SQL Server 2014
SQL Server 2012
SQL Server 2008 R2
SQL Server 2008 Потрібне встановлення пакету оновлень 1 (SP1)
SQL Server 2005 Потрібне встановлення пакету оновлень 3 (SP3)
PostgreSQL PostgreSQL 14.0 Підтримує роботу під управлінням операційних систем:
  • Microsoft
    • Windows 7, 8, 10
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2016
  • Linux (*)
    • Fedora Core 19
    • Red Hat Enterprise Linux 7
    • CentOS 7
    • Ubuntu 16.04
PostgreSQL 13.4
   
PostgreSQL 12.9
PostgreSQL 12.8
PostgreSQL 12.7
PostgreSQL 12.6
PostgreSQL 12.5
PostgreSQL 12.4
PostgreSQL 12.3
PostgreSQL 12
PostgreSQL 11.14
PostgreSQL 11.13
PostgreSQL 11.12
PostgreSQL 11.11
PostgreSQL 11.10
PostgreSQL 11.9
PostgreSQL 11.8
PostgreSQL 11.7
PostgreSQL 11.5
PostgreSQL 10.19
PostgreSQL 10.18
PostgreSQL 10.17
PostgreSQL 10.16
PostgreSQL 10.15
PostgreSQL 10.14
PostgreSQL 10.13
PostgreSQL 10.12
PostgreSQL 10.10
PostgreSQL 10.9
PostgreSQL 10.8
PostgreSQL 10.5
PostgreSQL 10.4
PostgreSQL 10.3
PostgreSQL 9.6.7
PostgreSQL 9.6.6
PostgreSQL 9.6.5
PostgreSQL 9.6.3
PostgreSQL 9.6.1
PostgreSQL 9.6.6 зі складу ОС AstraLinux Special Edition 1.6 За умови наявності налаштованої локалі en_US.UTF8 в цій ОС
PostgreSQL 9.4.5 зі складу ОС AstraLinux Special Edition 1.5
PostgreSQL 9.4.2 Підтримує роботу під управлінням операційних систем:
  • Microsoft
    • Windows 2000
    • Windows XP
    • Windows Server 2003
    • Windows 7
    • Windows Server 2008
    • Windows Server 2008 R2
  • Linux (*)
    • Fedora Core 8-15
    • Red Hat Enterprise Linux 5-6
    • CentOS 5-6
    • ASP Linux 12-14
    • Ubuntu 10.10
    • Ubuntu 11.04
PostgreSQL 9.3.4
PostgreSQL 9.2.4
PostgreSQL 9.1.9
PostgreSQL 9.1.2
PostgreSQL 9.0.3 Підтримує роботу під управлінням операційних систем:
  • Microsoft
    • Windows 2000
    • Windows XP
    • Windows Server 2003
    • Windows 7
    • Windows Server 2008
    • Windows Server 2008 R2
  • Linux (*)
    • Fedora Core 4-6
    • Red Hat Enterprise Linux 4 update 4
    • ASP Linux 11
PostgreSQL 8.4.3
PostgreSQL 8.3.8
PostgreSQL 8.2.4
PostgreSQL 8.1.5
Postgres Pro
(редакції Standard та Enterprise)
Postgres Pro Standard 14.1.1 Тільки в керованому режимі управління блокуваннями даних.
Postgres Pro збирається для наступних операційних систем та їхніх версій:
  • Microsoft
    • Windows 7, 8, 10
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2016
  • Linux (*)
    • RHEL 6/7
    • CentOS 6/7
    • Debian 7/8/9
    • Ubuntu 12.04/14.04/16.04/16.10/17.04
    • SLES 11/12
    • ROSA EL Server 6
    • ROSA SX Cobalt Server 6/7
    • ROSA DX Cobalt Server
    • ROSA Marathon LTS 2012
    • Goslinux 7
    • Oracle Linux 6
    • RED OS 7
Postgres Pro Standard 13.5.1
Postgres Pro Standard 13.4.1
Postgres Pro Standard 13.3.1
Postgres Pro Enterprise 14.1.1
Postgres Pro Enterprise 13.5.1
Postgres Pro Enterprise 13.4.1
Postgres Pro Enterprise 13.3.1
Postgres Pro Standard 10.19.1 Тільки в керованому режимі управління блокуваннями даних.
Postgres Pro збирається для наступних операційних систем та їхніх версій:
  • Microsoft
    • Windows 7, 8, 10
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2016
  • Linux (*)
    • RHEL 6/7
    • CentOS 6/7
    • Debian 7/8/9
    • Ubuntu 12.04/14.04/16.04/16.10/17.04
    • SLES 11/12
    • ROSA EL Server 6
    • ROSA SX Cobalt Server 6/7
    • ROSA DX Cobalt Server
    • ROSA Marathon LTS 2012
    • Goslinux 7
    • Oracle Linux 6
    • RED OS 7
Postgres Pro Standard 10.18.1
Postgres Pro Standard 10.17.1
Postgres Pro Standard 10.15.1
Postgres Pro Standard 10.19.1
Postgres Pro Standard 10.18.1
Postgres Pro Standard 10.17.1
Postgres Pro Standard 10.15.1
Postgres Pro Standard 10.19.1
Postgres Pro Standard 10.18.1
Postgres Pro Standard 11.8.1
Postgres Pro Standard 11.7.1
Postgres Pro Standard 11.6.1
Postgres Pro Standard 11.4.1
Postgres Pro Standard 10.19.1
Postgres Pro Standard 10.18.1
Postgres Pro Standard 10.17.1
Postgres Pro Standard 10.15.1
Postgres Pro Standard 10.13.1
Postgres Pro Standard 10.12.1
Postgres Pro Standard 10.11.1
Postgres Pro Standard 10.9.1
Postgres Pro Standard 10.6
Postgres Pro Standard 9.6.24.1
Postgres Pro Standard 9.6.23.1
Postgres Pro Standard 9.6.22.1
Postgres Pro Standard 9.6.20.1
Postgres Pro Standard 9.6.19.1
Postgres Pro Standard 9.6.18.1
Postgres Pro Standard 9.6.17
Postgres Pro Standard 9.6.16
Postgres Pro Standard 9.6.14.1
Postgres Pro Enterprise 12.9.1
Postgres Pro Enterprise 12.8.1
Postgres Pro Enterprise 12.7.1
Postgres Pro Enterprise 12.5.1
Postgres Pro Enterprise 12.4.1
Postgres Pro Enterprise 11.14.1
Postgres Pro Enterprise 11.13.1
Postgres Pro Enterprise 11.12.1
Postgres Pro Enterprise 11.10.1
Postgres Pro Enterprise 11.9.1
Postgres Pro Enterprise 11.8.1
Postgres Pro Enterprise 11.7.1
Postgres Pro Enterprise 11.6.1
Postgres Pro Enterprise 11.4.2
Postgres Pro Enterprise 11.4.1
Postgres Pro Enterprise 10.19.1
Postgres Pro Enterprise 10.18.1
Postgres Pro Enterprise 10.17.1
Postgres Pro Enterprise 10.15.1
Postgres Pro Enterprise 10.14.1
Postgres Pro Enterprise 10.13.1
Postgres Pro Enterprise 10.12.1
Postgres Pro Enterprise 10.11.1
Postgres Pro Enterprise 10.9.1
Postgres Pro Enterprise 10.6
Postgres Pro Enterprise 10.3.3 (сертифікована версія)
Postgres Pro Enterprise 9.6.24.1
Postgres Pro Enterprise 9.6.23.1
Postgres Pro Enterprise 9.6.20.1
Postgres Pro Enterprise 9.6.19.1
Postgres Pro Enterprise 9.6.18.1
Postgres Pro Enterprise 9.6.17
Postgres Pro Enterprise 9.6.16
Postgres Pro Enterprise 9.6.14.1
Postgres Pro Enterprise 9.6.11
Postgres Pro Enterprise 9.6.10.1
PostgreSQL 11.4.1 Тільки в керованому режимі управління блокуваннями даних.
Postgres Pro збирається для наступних операційних систем та їхніх версій:
  • Microsoft
    • Windows 7, 8, 10
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2016
  • Linux (*)
    • RHEL 7
    • CentOS 7
    • Debian 8
    • Ubuntu 16.04
    • SLES 11 sp4
    • ROSA EL 6
    • ROSA SX Cobalt 6
PostgreSQL 10.9.1
PostgreSQL 10.6
PostgreSQL 9.6.11
PostgreSQL 9.4.19
Postgres Pro Enterprise 9.6.3.1 Тільки в керованому режимі управління блокуваннями даних.
Postgres Pro збирається для наступних операційних систем та їхніх версій:
  • Microsoft
    • Windows Server 2012
  • Linux (*)
    • RHEL 7
    • CentOS 7
    • Debian 8
    • Ubuntu 16.04
    • SLES 11 sp4
    • ROSA EL 6
    • ROSA SX Cobalt 6
IBM DB2 IBM DB2 11.1
IBM DB2 10.1 Підтримується в режимі бета-тестування через значні змін в архітектурі DB2
IBM DB2 9.7 FixPack 6
IBM DB2 9.7 FixPack 1 Рекомендується перейти на використання більш пізніх версій IBM DB2, рекомендованих до застосування
IBM DB2 9.5 FixPack 4
(збірка 22521)
IBM DB2 9.1
(збірка 19840)
Oracle Database
(редакції Standard Edition One, Standard Edition та Enterprise Edition)
Oracle Database 19c
Oracle Database 18c
Oracle Database 12.2
Oracle Database 12c
(Версія 12.1.0.2)

Linux Версія 12.1.0.2 підтримується за умови установки наступних патчів:

  • 19078326, OPatch 12.1.0.8 (патч 6880880), далі 21447820, потім 21068507, потім 20954292
  • Для некластерної інсталяції 21447820 є потрібною тільки молекула 21359749 (в каталозі 21447820 є кілька підкаталогів, 21359749 - один з них)
  • Патчів 20954292 існує 3 види (1 для 11.2.0.4, 2 для 12.1.0.2), потрібен той який поверх 12.1.0.2.7 (другий - для 12.1.0.2.0; відмінність в назві - у правильного є DBEngSysandDBIM в назві)
Oracle Database 11gR2 Microsoft Windows. Версія 11.2.0.3.0. Версія 11.2.0.4 підтримується за умови установки патчів 24591646 та 24591637
Microsoft Windows. Версія 11.2.0.3.0
Linux Версія 11.2.0.2.0 підтримується за умови установки наступного набору патчів: 10094732, 11724916, 9620994, 10269193
Oracle Database 11gR1
(Версія 11.1.0.7.0)
Microsoft Windows версія 11.1.0.7.0 підтримується за умови установки патча Bundle28 (patch 9707665)
Linux версія 11.1.0.7.0 підтримується за умови установки наступного набору патчів: 7556778, 8889930, 9038070, 9653353, 8934457
Oracle Database 10gR2 (Версія 10.2.0.4) Microsoft Windows версія 10.2.0.4 підтримується за умови установки патча Bundle36 (patch 9544023)
Linux Версія 10.2.0.4 підтримується за умови установки наступного набору патчів: 8576156, 9535703, 9038070, 9002115, 8947919, 8889930, 7556778, 5586604

Архітектура IA-64

СУБД
Примітки
Microsoft SQL Server SQL Server 2008 R2 (64-bit) IA64
SQL Server 2008 (64-bit) IA64 Потрібне встановлення пакету оновлень 1 (SP1)
SQL Server 2005 (64-bit) Itanium-based Потрібне встановлення пакету оновлень 3 (SP3)

Веб сервер

Операційна система
Примітки
Microsoft Windows IIS 10.0 Підтримувана версія IIS входить до складу операційної системи Windows:
  • IIS 5.1 (Windows XP Professional)
  • IIS 6.0 (Windows Server 2003)
  • IIS 7.0 (Windows Vista; Windows Server 2008)
  • IIS 7.5 (Windows 7; Windows Server 2008 R2)
  • IIS 8.0 (Windows 8; Windows Server 2012)
  • IIS 8.5 (Windows 8.1; Windows Server 2012 R2)
  • IIS 10.0 (Windows 10, Windows Server 2016; Windows Server 2019; Windows Server 2022)

Документація на веб-сервер IIS:

Актуальні версії веб-сервера Apache можна отримати за адресою: http://httpd.apache.org/download.cgi
IIS 8.5
IIS 8.0
IIS 7.5
IIS 7.0
IIS 6.0
IIS 5.1
Apache 2.0
Apache 2.2
Apache 2.4
Linux Apache 2.0
Apache 2.2
Apache 2.4

Примітки:
* склад підтримуваних дистрибутивів і особливості встановлення можуть в подальшому уточнюватися